Pipelines - List
Get a list of pipelines.
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines?api-version=6.0-preview.1
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines?orderBy={orderBy}&$top={$top}&continuationToken={continuationToken}&api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
|
$top
|
query |
integer (int32) |
The maximum number of pipelines to return |
|
|
continuation
|
query |
string |
A continuation token from a previous request, to retrieve the next page of results |
|
|
order
|
query |
string |
A sort expression. Defaults to "name asc" |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Pipeline[] |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
|
Configuration |
Type of configuration. |
| Pipeline |
Definition of a pipeline. |
|
Pipeline |
|
|
Reference |
The class to represent a collection of REST reference links. |
ConfigurationType
Type of configuration.
| Value | Description |
|---|---|
| unknown |
Unknown type. |
| yaml |
YAML. |
| designerJson |
Designer JSON. |
| justInTime |
Just-in-time. |
| designerHyphenJson |
Designer-JSON. |
Pipeline
Definition of a pipeline.
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| configuration | ||
| folder |
string |
Pipeline folder |
| id |
integer (int32) |
Pipeline ID |
| name |
string |
Pipeline name |
| revision |
integer (int32) |
Revision number |
| url |
string |
URL of the pipeline |
PipelineConfiguration
| Name | Type | Description |
|---|---|---|
| type |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |